aboutsummaryrefslogtreecommitdiffstats
path: root/testing/dnstop/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-01-18 22:13:06 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-01-28 07:50:53 +0000
commite73b9dfb1b2d7710e5d42038b2fb1411037427c8 (patch)
treed1a746f789dddef951137ac7f44b1c1aa672dd5b /testing/dnstop/APKBUILD
parent5c2a342d4978e26b10dc4c3e1799694daa79fc9f (diff)
downloadaports-e73b9dfb1b2d7710e5d42038b2fb1411037427c8.tar.gz
aports-e73b9dfb1b2d7710e5d42038b2fb1411037427c8.tar.bz2
aports-e73b9dfb1b2d7710e5d42038b2fb1411037427c8.tar.xz
testing/dnstop: new aport
dnstop is a libpcap application (ala tcpdump) that displays various tables of DNS traffic on your network. Currently dnstop displays tables of: - Source IP addresses - Destination IP addresses - Query types - Response codes - Opcodes - Top level domains - Second level domains - Third level domains dnstop supports both IPv4 and IPv6 addresses. Website: http://dns.measurement-factory.com/tools/dnstop/
Diffstat (limited to 'testing/dnstop/APKBUILD')
-rw-r--r--testing/dnstop/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/dnstop/APKBUILD b/testing/dnstop/APKBUILD
new file mode 100644
index 0000000000..eb9d8b9048
--- /dev/null
+++ b/testing/dnstop/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=dnstop
+pkgver=20121017
+pkgrel=0
+pkgdesc="A DNS traffic capture utility"
+url="http://dns.measurement-factory.com/tools/dnstop/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://dns.measurement-factory.com/tools/dnstop/src/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/bin "$pkgdir"/usr/share/man/man8
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="0407f08e5788b59268048d00cdddd5b6 dnstop-20121017.tar.gz"